summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xauto/config1
-rwxr-xr-xconfig/chroot_local-hooks/install_silverlight.sh13
-rw-r--r--config/lists/firefox1
-rw-r--r--config/lists/silverlight5
-rw-r--r--config/repositories/silverlight3
-rw-r--r--config/repositories/silverlight.gpg13
6 files changed, 36 insertions, 0 deletions
diff --git a/auto/config b/auto/config
index 88a0737..eade4e0 100755
--- a/auto/config
+++ b/auto/config
@@ -74,6 +74,7 @@ grep -wq chrome <<<"$LB_PACKAGES $LB_PACKAGES_LISTS" && LB_REPOSITORIES+=" chrom
grep -wq mesa <<<"$LB_PACKAGES_LISTS" && LB_REPOSITORIES+=" mesa"
grep -wq steam <<<"$LB_PACKAGES_LISTS" && LB_REPOSITORIES+=" steam steam-wheezy"
grep -wq firefox <<<"$LB_PACKAGES_LISTS" && LB_REPOSITORIES+=" firefox-wheezy"
+grep -wq silverlight <<<"$LB_PACKAGES_LISTS" && LB_REPOSITORIES+=" silverlight"
lb config noauto --linux-packages "$LB_LINUX_PACKAGES" --linux-flavours "$LB_LINUX_FLAVOURS" --repositories "$LB_REPOSITORIES"
# Fetch kanotix-scripts if necessary
diff --git a/config/chroot_local-hooks/install_silverlight.sh b/config/chroot_local-hooks/install_silverlight.sh
new file mode 100755
index 0000000..691de40
--- /dev/null
+++ b/config/chroot_local-hooks/install_silverlight.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+[ -x /opt/wine-compholio/bin/wine ] || exit 0
+export WINE=/opt/wine-compholio/bin/wine
+export WINEARCH=win32
+export WINEDLLOVERRIDES="mscoree,mshtml="
+export WINEPREFIX="/etc/skel/.wine-pipelight/"
+export DISPLAY=:1
+Xvfb :1 -screen 0 1024x768x16 &
+/usr/share/wine-browser-installer/download-missing-files wine-silverlight5.1-installer
+/usr/share/wine-browser-installer/install-dependency wine-silverlight5.1-installer
+kill $!
+apt-get --yes --purge remove xvfb
+apt-get --yes --purge autoremove
diff --git a/config/lists/firefox b/config/lists/firefox
new file mode 100644
index 0000000..d762c05
--- /dev/null
+++ b/config/lists/firefox
@@ -0,0 +1 @@
+iceweasel
diff --git a/config/lists/silverlight b/config/lists/silverlight
new file mode 100644
index 0000000..c9812c0
--- /dev/null
+++ b/config/lists/silverlight
@@ -0,0 +1,5 @@
+pipelight
+wine-compholio
+wine-silverlight5.1-installer
+xvfb
+g++-mingw-w64-i686
diff --git a/config/repositories/silverlight b/config/repositories/silverlight
new file mode 100644
index 0000000..b0264ec
--- /dev/null
+++ b/config/repositories/silverlight
@@ -0,0 +1,3 @@
+# patched wine for Silverlight
+deb http://ppa.launchpad.net/ehoover/compholio/ubuntu precise main
+deb-src http://ppa.launchpad.net/ehoover/compholio/ubuntu precise main
diff --git a/config/repositories/silverlight.gpg b/config/repositories/silverlight.gpg
new file mode 100644
index 0000000..3ffd326
--- /dev/null
+++ b/config/repositories/silverlight.gpg
@@ -0,0 +1,13 @@
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+Version: GnuPG v1.4.12 (GNU/Linux)
+
+mI0ESvH1KwEEALSIzpJMTP4HCmRxTuBrvBX3VxILPYFG7gdtKZfRKnNQ9K6n/VAO
+wTmX5WfzyOOKyDIbTgtIE/+so9K5TpugYOdvJDtqX0A6CgV6g1nT9a3XoX5u2Upw
+5gBQve1Okg7nra05b2PmEEhbLnQyyl9jaqwRcKOG1oaxeHlQraklTb7JABEBAAG0
+E0xhdW5jaHBhZCBjb21waG9saW+ItgQTAQIAIAUCSvH1KwIbAwYLCQgHAwIEFQII
+AwQWAgMBAh4BAheAAAoJEEl6DzgfaRiWFkgEAIXxfPSFiIRW2LWRhHxkoTT/D3dm
+X/0nLOSYaDuZjCTPKZKUX3+B0oEcX5e3JvT9n0OdQl7zlQpmzM717jumflh1laX1
+DA4zi82H8XltV3K4cyg21AQJKIxW2KwfvWAx01XDjl4gwsuvVkl+q78/O8MCtn5h
+Dbb47wf6i/uaziD0
+=pOlx
+-----END PGP PUBLIC KEY BLOCK-----